Issue 93467 - pattern fields in grid columns should initially have a "Strict format = Yes" property (as do normal pattern controls)
Summary: pattern fields in grid columns should initially have a "Strict format = Yes" ...
Status: REOPENED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOO300m3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-04 10:27 UTC by Frank Schönheit
Modified: 2013-08-07 15:45 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
document to reproduce the bug case (10.50 KB, application/vnd.sun.xml.base)
2008-09-04 10:28 UTC, Frank Schönheit
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2008-09-04 10:27:48 UTC
Pattern fields are pretty useful for quick data input: For instance, you can
have a time field in a table, and a pattern field, which displays an input mask
"__:__", where you just need to enter the 4 numbers, *not* the colon (which can
significantly speed up input if you have to enter a lot of data), and your input
will automatically be converted to the proper time value.

However, this holds only for "normal" pattern fields in a database form, it
doesn't work for table control pattern fields. In those fields, as soon as you
start entering the first number, the input mask completely vanishes. In
particular, it means you need to type any fixed literals (such as the colon in
the time field example), where the sole justification for the existence of
pattern fields is exactly to *save* you from those extra characters.

Attached is a document which demonstrates the problem: There are two pattern
fields in the form, a normal form control, and a grid column. In the former, you
can just start typing the 4 numbers to automatically be interpreted as time, in
the latter, you need to manually enter the "colon", which slows down data input.
Comment 1 Frank Schönheit 2008-09-04 10:28:21 UTC
Created attachment 56219 [details]
document to reproduce the bug case
Comment 2 Frank Schönheit 2008-09-09 08:40:55 UTC
ehm - actually, the behavior is controller by the "Strict format" property of
the control resp. column. Changing it to "Yes" for the grid column "fixes" the
problem.

So, while this is not really a bug as described, I took the opportunity to
consolidate the initialization of newly created form controls / grid columns.
Now, both will have the "Strict format" property set to "Yes" when newly created
(formerly, this was the case for controls only, not for grid columns).

Also, some other commonalities have been implemented. For instance, when you
create a check box control in a database form, then it will automatically have
the "flat" style. For consistency reasons, this now is also true for check box
columns in table controls in database forms. And some more things like this,
which were formerly done for the controls only, but not for grid columns ...
Comment 3 Frank Schönheit 2008-09-09 08:41:16 UTC
fixed in CWS dba31c
Comment 4 Frank Schönheit 2008-11-04 12:44:29 UTC
fs->msc: please verify in CWS dba31e
Comment 5 marc.neumann 2008-11-14 12:12:15 UTC
verified in CWS dba31e

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba31e
Comment 6 drewjensen.inbox 2009-07-22 15:19:44 UTC
Checked w/ DEV310m_15 and OOO300m_51, Ubuntu 9.04

In a grid column the setting is still defaulting NO using the test document
attached to this issue, also when creating a db, table and form from scratch in
these releases

Reopening
Comment 7 Frank Schönheit 2009-08-12 10:51:23 UTC
Uhm, cannot reproduce in DEV300.m51 (cannot test in m52 and later 'cause of
issue 104181):
- open a new text document
- insert a patter field from the "More Controls" toolbar
=> it's "Strict format" property is set to "Yes"
- insert a table control
- insert a pattern column
=> it's "Strict format" property is set to "Yes"

fs->atjensen: What do you do differently?